## r-cran-stanheaders 2.18.1

=== DESCRIPTION ===
Package: StanHeaders
Date: 2019-01-28
Title: C++ Header Files for Stan
Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
             person("Joshua", "Pritikin", role = "ctb"),
             person("Andrew", "Gelman", role = "aut"),
             person("Bob", "Carpenter",  role = "aut"),
             person("Matt", "Hoffman", role = "aut"),
             person("Daniel", "Lee", role = "aut"),
             person("Michael", "Betancourt", role = "aut"),
             person("Marcus", "Brubaker", role = "aut"),
             person("Jiqiang", "Guo", role = "aut"),
             person("Peter", "Li", role = "aut"),
             person("Allen", "Riddell", role = "aut"),
             person("Marco", "Inacio", role = "aut"),
             person("Mitzi", "Morris", role = "aut"),
             person("Jeffrey", "Arnold", role = "aut"),
             person("Rob", "Goedman", role = "aut"),
             person("Brian", "Lau", role = "aut"),
             person("Rob", "Trangucci", role = "aut"),
             person("Jonah", "Gabry", role = "aut"),
             person("Alp", "Kucukelbir", role = "aut"),
             person("Robert", "Grant", role = "aut"),
             person("Dustin", "Tran", role = "aut"),
             person("Michael", "Malecki", role = "aut"),
             person("Yuanjun", "Gao", role = "aut"),
             person("Trustees of", "Columbia University", role = "cph"),
             person("Lawrence Livermore", "National Security", role = "cph", comment = "CVODES"),
             person("The Regents of the", "University of California", role = "cph", comment = "CVODES"),
             person("Southern Methodist", "University", role = "cph", comment = "CVODES"))
URL: http://mc-stan.org/
Description: The C++ header files of the Stan project are provided by this package, but it contains no R code or function documentation. There is a shared object containing part of the 'CVODES' library, but it is not accessible from R. 'StanHeaders' is only useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
Suggests: Rcpp, RcppEigen, BH (>= 1.69.0), knitr (>= 1.15.1), rmarkdown
VignetteBuilder: knitr
SystemRequirements: pandoc
Depends: R (>= 3.4.0)
Version: 2.18.1
License: BSD_3_clause + file LICENSE
NeedsCompilation: yes
Packaged: 2019-01-28 22:43:50 UTC; goodrich
Author: Ben Goodrich [cre, aut],
  Joshua Pritikin [ctb],
  Andrew Gelman [aut],
  Bob Carpenter [aut],
  Matt Hoffman [aut],
  Daniel Lee [aut],
  Michael Betancourt [aut],
  Marcus Brubaker [aut],
  Jiqiang Guo [aut],
  Peter Li [aut],
  Allen Riddell [aut],
  Marco Inacio [aut],
  Mitzi Morris [aut],
  Jeffrey Arnold [aut],
  Rob Goedman [aut],
  Brian Lau [aut],
  Rob Trangucci [aut],
  Jonah Gabry [aut],
  Alp Kucukelbir [aut],
  Robert Grant [aut],
  Dustin Tran [aut],
  Michael Malecki [aut],
  Yuanjun Gao [aut],
  Trustees of Columbia University [cph],
  Lawrence Livermore National Security [cph] (CVODES),
  The Regents of the University of California [cph] (CVODES),
  Southern Methodist University [cph] (CVODES)
Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
Repository: CRAN
Date/Publication: 2019-01-28 23:30:03 UTC

=== src/sunlinsol_klu/CMakeLists.txt ===
# ---------------------------------------------------------------
# Programmer:  Daniel R. Reynolds @ SMU
# ---------------------------------------------------------------
# LLNS/SMU Copyright Start
# Copyright (c) 2017, Southern Methodist University and 
# Lawrence Livermore National Security
#
# This work was performed under the auspices of the U.S. Department 
# of Energy by Southern Methodist University and Lawrence Livermore 
# National Laboratory under Contract DE-AC52-07NA27344.
# Produced at Southern Methodist University and the Lawrence 
# Livermore National Laboratory.
#
# All rights reserved.
# For details, see the LICENSE file.
# LLNS/SMU Copyright End
# ---------------------------------------------------------------
# CMakeLists.txt file for the klu SUNLinearSolver library

INSTALL(CODE "MESSAGE(\"\nInstall SUNLINSOL_KLU\n\")")

# Add variable sunlinsolklu_SOURCES with the sources for the SUNLINSOLKLU lib
SET(sunlinsolklu_SOURCES sunlinsol_klu.c)

# Add variable shared_SOURCES with the common SUNDIALS sources which will
# also be included in the SUNLINSOLKLU library
SET(shared_SOURCES
  ${sundials_SOURCE_DIR}/src/sundials/sundials_linearsolver.c
  )

# Add variable sunlinsolklu_HEADERS with the exported SUNLINSOLKLU header files
SET(sunlinsolklu_HEADERS
  ${sundials_SOURCE_DIR}/include/sunlinsol/sunlinsol_klu.h
  )

# Add source directory to include directories
INCLUDE_DIRECTORIES(.)

# Define C preprocessor flag -DBUILD_SUNDIALS_LIBRARY 
ADD_DEFINITIONS(-DBUILD_SUNDIALS_LIBRARY)

# Rules for building and installing the static library:
#  - Add the build target for the SUNLINSOLKLU library
#  - Set the library name and make sure it is not deleted
#  - Install the SUNLINSOLKLU library
IF(BUILD_STATIC_LIBS)
  ADD_LIBRARY(sundials_sunlinsolklu_static STATIC ${sunlinsolklu_SOURCES} ${shared_SOURCES})
  SET_TARGET_PROPERTIES(sundials_sunlinsolklu_static
    PROPERTIES OUTPUT_NAME sundials_sunlinsolklu CLEAN_DIRECT_OUTPUT 1)
  INSTALL(TARGETS sundials_sunlinsolklu_static DESTINATION lib)
ENDIF(BUILD_STATIC_LIBS)

# Rules for building and installing the shared library:
#  - Add the build target for the SUNLINSOLKLU library
#  - Set the library name and make sure it is not deleted
#  - Set VERSION and SOVERSION for shared libraries
#  - Install the SUNLINSOLKLU library
IF(BUILD_SHARED_LIBS)
  ADD_LIBRARY(sundials_sunlinsolklu_shared SHARED ${sunlinsolklu_SOURCES} ${shared_SOURCES})

  # sunlinsolklu depends on sunmatrixsparse and KLU
  TARGET_LINK_LIBRARIES(sundials_sunlinsolklu_shared
    sundials_sunmatrixsparse_shared
    ${KLU_LIBRARIES})

  SET_TARGET_PROPERTIES(sundials_sunlinsolklu_shared
    PROPERTIES OUTPUT_NAME sundials_sunlinsolklu CLEAN_DIRECT_OUTPUT 1)
  SET_TARGET_PROPERTIES(sundials_sunlinsolklu_shared
    PROPERTIES VERSION ${sunlinsollib_VERSION} SOVERSION ${sunlinsollib_SOVERSION})
  INSTALL(TARGETS sundials_sunlinsolklu_shared DESTINATION lib)
ENDIF(BUILD_SHARED_LIBS)

# Install the SUNLINSOLKLU header files
INSTALL(FILES ${sunlinsolklu_HEADERS} DESTINATION include/sunlinsol)

# If FCMIX is enabled and building with 64-bit indices, then build and install 
# the FSUNLINSOLKLU library
IF(SUNDIALS_INDEX_TYPE MATCHES "INT32_T")

  PRINT_WARNING("The Fortran interface to KLU is not compatible with ${SUNDIALS_INDEX_TYPE} integers"
                "Fortran interfaces to KLU will not be built")

ELSE(SUNDIALS_INDEX_TYPE MATCHES "INT32_T")

  IF(FCMIX_ENABLE AND F77_FOUND)
    SET(fsunlinsolklu_SOURCES fsunlinsol_klu.c)

    IF(BUILD_STATIC_LIBS)
      ADD_LIBRARY(sundials_fsunlinsolklu_static STATIC ${fsunlinsolklu_SOURCES})
      SET_TARGET_PROPERTIES(sundials_fsunlinsolklu_static
        PROPERTIES OUTPUT_NAME sundials_fsunlinsolklu CLEAN_DIRECT_OUTPUT 1)
      INSTALL(TARGETS sundials_fsunlinsolklu_static DESTINATION lib)
    ENDIF(BUILD_STATIC_LIBS)

    IF(BUILD_SHARED_LIBS)
      ADD_LIBRARY(sundials_fsunlinsolklu_shared ${fsunlinsolklu_SOURCES})

      # fsunlinsolklu depends on fnvecserial, fsunmatrixsparse, sunlinsolklu
      TARGET_LINK_LIBRARIES(sundials_fsunlinsolklu_shared
        sundials_fnvecserial_shared
        sundials_fsunmatrixsparse_shared
        sundials_sunlinsolklu_shared)

      SET_TARGET_PROPERTIES(sundials_fsunlinsolklu_shared
        PROPERTIES OUTPUT_NAME sundials_fsunlinsolklu CLEAN_DIRECT_OUTPUT 1)
      SET_TARGET_PROPERTIES(sundials_fsunlinsolklu_shared 
        PROPERTIES VERSION ${sunlinsollib_VERSION} SOVERSION ${sunlinsollib_SOVERSION})
      INSTALL(TARGETS sundials_fsunlinsolklu_shared DESTINATION lib)
    ENDIF(BUILD_SHARED_LIBS)

  ENDIF(FCMIX_ENABLE AND F77_FOUND)

ENDIF(SUNDIALS_INDEX_TYPE MATCHES "INT32_T")

#
MESSAGE(STATUS "Added SUNLINSOL_KLU module")

=== src/sunlinsol_pcg/CMakeLists.txt ===
# ---------------------------------------------------------------
# Programmer:  Daniel R. Reynolds @ SMU
# ---------------------------------------------------------------
# LLNS/SMU Copyright Start
# Copyright (c) 2017, Southern Methodist University and 
# Lawrence Livermore National Security
#
# This work was performed under the auspices of the U.S. Department 
# of Energy by Southern Methodist University and Lawrence Livermore 
# National Laboratory under Contract DE-AC52-07NA27344.
# Produced at Southern Methodist University and the Lawrence 
# Livermore National Laboratory.
#
# All rights reserved.
# For details, see the LICENSE file.
# LLNS/SMU Copyright End
# ---------------------------------------------------------------
# CMakeLists.txt file for the PCG SUNLinearSolver library

INSTALL(CODE "MESSAGE(\"\nInstall SUNLINSOL_PCG\n\")")

# Add variable sunlinsolpcg_SOURCES with the sources for the SUNLINSOLPCG lib
SET(sunlinsolpcg_SOURCES sunlinsol_pcg.c)

# Add variable shared_SOURCES with the common SUNDIALS sources which will
# also be included in the SUNLINSOLPCG library
SET(shared_SOURCES
  ${sundials_SOURCE_DIR}/src/sundials/sundials_math.c
  ${sundials_SOURCE_DIR}/src/sundials/sundials_nvector.c
  ${sundials_SOURCE_DIR}/src/sundials/sundials_linearsolver.c
  ${sundials_SOURCE_DIR}/src/sundials/sundials_iterative.c
  )

# Add variable sunlinsolpcg_HEADERS with the exported SUNLINSOLPCG header files
SET(sunlinsolpcg_HEADERS
  ${sundials_SOURCE_DIR}/include/sunlinsol/sunlinsol_pcg.h
  )

# Add source directory to include directories
INCLUDE_DIRECTORIES(.)

# Define C preprocessor flag -DBUILD_SUNDIALS_LIBRARY 
ADD_DEFINITIONS(-DBUILD_SUNDIALS_LIBRARY)

# Rules for building and installing the static library:
#  - Add the build target for the SUNLINSOLPCG library
#  - Set the library name and make sure it is not deleted
#  - Install the SUNLINSOLPCG library
IF(BUILD_STATIC_LIBS)
  ADD_LIBRARY(sundials_sunlinsolpcg_static STATIC ${sunlinsolpcg_SOURCES} ${shared_SOURCES})
  SET_TARGET_PROPERTIES(sundials_sunlinsolpcg_static
    PROPERTIES OUTPUT_NAME sundials_sunlinsolpcg CLEAN_DIRECT_OUTPUT 1)
  INSTALL(TARGETS sundials_sunlinsolpcg_static DESTINATION lib)
ENDIF(BUILD_STATIC_LIBS)

# Rules for building and installing the shared library:
#  - Add the build target for the SUNLINSOLPCG library
#  - Set the library name and make sure it is not deleted
#  - Set VERSION and SOVERSION for shared libraries
#  - Install the SUNLINSOLPCG library
IF(BUILD_SHARED_LIBS)
  ADD_LIBRARY(sundials_sunlinsolpcg_shared SHARED ${sunlinsolpcg_SOURCES} ${shared_SOURCES})

  IF(UNIX)
    TARGET_LINK_LIBRARIES(sundials_sunlinsolpcg_shared m)
  ENDIF()

  SET_TARGET_PROPERTIES(sundials_sunlinsolpcg_shared
    PROPERTIES OUTPUT_NAME sundials_sunlinsolpcg CLEAN_DIRECT_OUTPUT 1)
  SET_TARGET_PROPERTIES(sundials_sunlinsolpcg_shared
    PROPERTIES VERSION ${sunlinsollib_VERSION} SOVERSION ${sunlinsollib_SOVERSION})
  INSTALL(TARGETS sundials_sunlinsolpcg_shared DESTINATION lib)
ENDIF(BUILD_SHARED_LIBS)

# Install the SUNLINSOLPCG header files
INSTALL(FILES ${sunlinsolpcg_HEADERS} DESTINATION include/sunlinsol)

# If FCMIX is enabled, build and install the FSUNLINSOLPCG library
IF(FCMIX_ENABLE AND F77_FOUND)
  SET(fsunlinsolpcg_SOURCES fsunlinsol_pcg.c)

  IF(BUILD_STATIC_LIBS)
    ADD_LIBRARY(sundials_fsunlinsolpcg_static STATIC ${fsunlinsolpcg_SOURCES})
    SET_TARGET_PROPERTIES(sundials_fsunlinsolpcg_static
      PROPERTIES OUTPUT_NAME sundials_fsunlinsolpcg CLEAN_DIRECT_OUTPUT 1)
    INSTALL(TARGETS sundials_fsunlinsolpcg_static DESTINATION lib)
  ENDIF(BUILD_STATIC_LIBS)

  IF(BUILD_SHARED_LIBS)
    ADD_LIBRARY(sundials_fsunlinsolpcg_shared ${fsunlinsolpcg_SOURCES})

    # fsunlinsolpcg dependes on fnvecserial and sunlinsolpcg_shared
    TARGET_LINK_LIBRARIES(sundials_fsunlinsolpcg_shared
      sundials_fnvecserial_shared
      sundials_sunlinsolpcg_shared)

    SET_TARGET_PROPERTIES(sundials_fsunlinsolpcg_shared
      PROPERTIES OUTPUT_NAME sundials_fsunlinsolpcg CLEAN_DIRECT_OUTPUT 1)
    SET_TARGET_PROPERTIES(sundials_fsunlinsolpcg_shared 
      PROPERTIES VERSION ${sunlinsollib_VERSION} SOVERSION ${sunlinsollib_SOVERSION})
    INSTALL(TARGETS sundials_fsunlinsolpcg_shared DESTINATION lib)
  ENDIF(BUILD_SHARED_LIBS)

ENDIF(FCMIX_ENABLE AND F77_FOUND)

#
MESSAGE(STATUS "Added SUNLINSOL_PCG module")

=== src/sunmat_dense/CMakeLists.txt ===
# ---------------------------------------------------------------
# Programmer:  Daniel R. Reynolds @ SMU
# ---------------------------------------------------------------
# LLNS/SMU Copyright Start
# Copyright (c) 2017, Southern Methodist University and 
# Lawrence Livermore National Security
#
# This work was performed under the auspices of the U.S. Department 
# of Energy by Southern Methodist University and Lawrence Livermore 
# National Laboratory under Contract DE-AC52-07NA27344.
# Produced at Southern Methodist University and the Lawrence 
# Livermore National Laboratory.
#
# All rights reserved.
# For details, see the LICENSE file.
# LLNS/SMU Copyright End
# ---------------------------------------------------------------
# CMakeLists.txt file for the dense SUNMatrix library

INSTALL(CODE "MESSAGE(\"\nInstall SUNMATRIX_DENSE\n\")")

# Add variable sunmatrixdense_SOURCES with the sources for the SUNMATRIXDENSE lib
SET(sunmatrixdense_SOURCES sunmatrix_dense.c)

# Add variable shared_SOURCES with the common SUNDIALS sources which will
# also be included in the SUNMATRIXDENSE library
SET(shared_SOURCES
  ${sundials_SOURCE_DIR}/src/sundials/sundials_nvector.c
  ${sundials_SOURCE_DIR}/src/sundials/sundials_matrix.c
  ${sundials_SOURCE_DIR}/src/sundials/sundials_math.c
  )

# Add variable sunmatrixdense_HEADERS with the exported SUNMATRIXDENSE header files
SET(sunmatrixdense_HEADERS 
  ${sundials_SOURCE_DIR}/include/sunmatrix/sunmatrix_dense.h
  )

# Add source directory to include directories
INCLUDE_DIRECTORIES(.)

# Define C preprocessor flag -DBUILD_SUNDIALS_LIBRARY 
ADD_DEFINITIONS(-DBUILD_SUNDIALS_LIBRARY)

# Rules for building and installing the static library:
#  - Add the build target for the SUNMATRIXDENSE library
#  - Set the library name and make sure it is not deleted
#  - Install the SUNMATRIXDENSE library
IF(BUILD_STATIC_LIBS)
  ADD_LIBRARY(sundials_sunmatrixdense_static STATIC ${sunmatrixdense_SOURCES} ${shared_SOURCES})
  SET_TARGET_PROPERTIES(sundials_sunmatrixdense_static
    PROPERTIES OUTPUT_NAME sundials_sunmatrixdense CLEAN_DIRECT_OUTPUT 1)
  INSTALL(TARGETS sundials_sunmatrixdense_static DESTINATION lib)
ENDIF(BUILD_STATIC_LIBS)

# Rules for building and installing the shared library:
#  - Add the build target for the SUNMATRIXDENSE library
#  - Set the library name and make sure it is not deleted
#  - Set VERSION and SOVERSION for shared libraries
#  - Install the SUNMATRIXDENSE library
IF(BUILD_SHARED_LIBS)
  ADD_LIBRARY(sundials_sunmatrixdense_shared SHARED ${sunmatrixdense_SOURCES} ${shared_SOURCES})

  IF(UNIX)
    TARGET_LINK_LIBRARIES(sundials_sunmatrixdense_shared m)
  ENDIF()

  SET_TARGET_PROPERTIES(sundials_sunmatrixdense_shared
    PROPERTIES OUTPUT_NAME sundials_sunmatrixdense CLEAN_DIRECT_OUTPUT 1)
  SET_TARGET_PROPERTIES(sundials_sunmatrixdense_shared
    PROPERTIES VERSION ${sunmatrixlib_VERSION} SOVERSION ${sunmatrixlib_SOVERSION})
  INSTALL(TARGETS sundials_sunmatrixdense_shared DESTINATION lib)
ENDIF(BUILD_SHARED_LIBS)

# Install the SUNMATRIXDENSE header files
INSTALL(FILES ${sunmatrixdense_HEADERS} DESTINATION include/sunmatrix)

# If FCMIX is enabled, build and install the FSUNMATRIXDENSE library
IF(FCMIX_ENABLE AND F77_FOUND)
  SET(fsunmatrixdense_SOURCES fsunmatrix_dense.c)

  IF(BUILD_STATIC_LIBS)
    ADD_LIBRARY(sundials_fsunmatrixdense_static STATIC ${fsunmatrixdense_SOURCES})
    SET_TARGET_PROPERTIES(sundials_fsunmatrixdense_static
      PROPERTIES OUTPUT_NAME sundials_fsunmatrixdense CLEAN_DIRECT_OUTPUT 1)
    INSTALL(TARGETS sundials_fsunmatrixdense_static DESTINATION lib)
  ENDIF(BUILD_STATIC_LIBS)

  IF(BUILD_SHARED_LIBS)
    ADD_LIBRARY(sundials_fsunmatrixdense_shared ${fsunmatrixdense_SOURCES})

    # fsunmatrixdense depends on sunmatrixdense
    TARGET_LINK_LIBRARIES(sundials_fsunmatrixdense_shared sundials_sunmatrixdense_shared)

    SET_TARGET_PROPERTIES(sundials_fsunmatrixdense_shared
      PROPERTIES OUTPUT_NAME sundials_fsunmatrixdense CLEAN_DIRECT_OUTPUT 1)
    SET_TARGET_PROPERTIES(sundials_fsunmatrixdense_shared 
      PROPERTIES VERSION ${sunmatrixlib_VERSION} SOVERSION ${sunmatrixlib_SOVERSION})
    INSTALL(TARGETS sundials_fsunmatrixdense_shared DESTINATION lib)
  ENDIF(BUILD_SHARED_LIBS)

ENDIF(FCMIX_ENABLE AND F77_FOUND)

#
MESSAGE(STATUS "Added SUNMATRIX_DENSE module")

## r-cran-stanheaders 2.17.2

=== debian/changelog ===
r-cran-stanheaders (2.17.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 23 Sep 2018 07:45:51 +0200

r-cran-stanheaders (2.17.2-1) unstable; urgency=medium

  * Initial release (closes: #898704)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 12:51:27 +0200

=== debian/control ===
Source: r-cran-stanheaders
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
Homepage: https://cran.r-project.org/package=StanHeaders

Package: r-cran-stanheaders
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: C++ Header Files for Stan for GNU R
 The C++ header files of the Stan project are provided by this package,
 but it contains no R code, vignettes, or function documentation. There
 is a shared object containing part of the 'CVODES' library, but it is
 not accessible from R. 'StanHeaders' is only useful for developers who
 want to utilize the 'LinkingTo' directive of their package's DESCRIPTION
 file to build on the Stan library without incurring unnecessary
 dependencies. The Stan project develops a probabilistic programming
 language that implements full or approximate Bayesian statistical
 inference via Markov Chain Monte Carlo or 'variational' methods and
 implements (optionally penalized) maximum likelihood estimation via
 optimization. The Stan library includes an advanced automatic
 differentiation scheme, 'templated' statistical and linear algebra
 functions that can handle the automatically 'differentiable' scalar
 types (and doubles, 'ints', etc.), and a parser for the Stan language.
 The 'rstan' package provides user-facing R functions to parse, compile,
 test, estimate, and analyze Stan models.

## r-cran-stanheaders 2.18.1

=== debian/changelog ===
r-cran-stanheaders (2.18.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 10:47:09 +0100

r-cran-stanheaders (2.18.0-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 10:50:37 +0100

r-cran-stanheaders (2.18.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 12 Oct 2018 07:50:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders

## r-cran-stanheaders 2.18.1-10

=== debian/changelog ===
r-cran-stanheaders (2.18.1-10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 09:00:01 +0200

## r-cran-stanheaders 2.21.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: StanHeaders
-Date: 2019-01-28
+Date: 2020-12-16
 Title: C++ Header Files for Stan
 Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
              person("Joshua", "Pritikin", role = "ctb"),
@@ -28,16 +28,19 @@
              person("Lawrence Livermore", "National Security", role = "cph", comment = "CVODES"),
              person("The Regents of the", "University of California", role = "cph", comment = "CVODES"),
              person("Southern Methodist", "University", role = "cph", comment = "CVODES"))
-URL: http://mc-stan.org/
-Description: The C++ header files of the Stan project are provided by this package, but it contains no R code or function documentation. There is a shared object containing part of the 'CVODES' library, but it is not accessible from R. 'StanHeaders' is only useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
-Suggests: Rcpp, RcppEigen, BH (>= 1.69.0), knitr (>= 1.15.1), rmarkdown
+URL: https://mc-stan.org/
+Description: The C++ header files of the Stan project are provided by this package, but it contains little R code or documentation. The main reference is the vignette. There is a shared object containing part of the 'CVODES' library, but its functionality is not accessible from R. 'StanHeaders' is primarily useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
+Imports: RcppParallel (>= 5.0.1)
+Suggests: Rcpp, BH, knitr (>= 1.15.1), rmarkdown, Matrix, methods,
+        rstan
+LinkingTo: RcppEigen, RcppParallel (>= 5.0.1)
 VignetteBuilder: knitr
 SystemRequirements: pandoc
 Depends: R (>= 3.4.0)
-Version: 2.18.1
+Version: 2.21.0-7
 License: BSD_3_clause + file LICENSE
 NeedsCompilation: yes
-Packaged: 2019-01-28 22:43:50 UTC; goodrich
+Packaged: 2020-12-17 04:06:13 UTC; ben
 Author: Ben Goodrich [cre, aut],
   Joshua Pritikin [ctb],
   Andrew Gelman [aut],
@@ -67,4 +70,4 @@
   Southern Methodist University [cph] (CVODES)
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2019-01-28 23:30:03 UTC
+Date/Publication: 2020-12-17 07:30:02 UTC

=== src/kinsol/fcmix/CMakeLists.txt ===
# ---------------------------------------------------------------
# Programmer:  Daniel R. Reynolds @ SMU
# ---------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2019, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# ---------------------------------------------------------------
# CMakeLists.txt file for the FKINSOL library

# Add variable fcvode_SOURCES with the sources for the FCVODE library
SET(fkinsol_SOURCES
  fkinband.c
  fkinbbd.c
  fkindense.c
  fkinjtimes.c
  fkinnullmatrix.c
  fkinnulllinsol.c
  fkinpreco.c
  fkinsol.c
  fkinsparse.c
  )

# Add variable shared_SOURCES with the common SUNDIALS sources which will
# also be included in the ARKODE library
SET(shared_SOURCES
  ${sundials_SOURCE_DIR}/src/nvector/serial/fnvector_serial.c
  )

# Add variable sunmatrix_SOURCES with the common SUNMatrix sources which will
# also be included in the ARKODE library
SET(sunmatrix_SOURCES
  ${sundials_SOURCE_DIR}/src/sunmatrix/band/fsunmatrix_band.c
  ${sundials_SOURCE_DIR}/src/sunmatrix/dense/fsunmatrix_dense.c
  ${sundials_SOURCE_DIR}/src/sunmatrix/sparse/fsunmatrix_sparse.c
  )

# Add variable sunlinsol_SOURCES with the common SUNLinearSolver sources which will
# also be included in the ARKODE library
SET(sunlinsol_SOURCES
  ${sundials_SOURCE_DIR}/src/sunlinsol/band/fsunlinsol_band.c
  ${sundials_SOURCE_DIR}/src/sunlinsol/dense/fsunlinsol_dense.c
  ${sundials_SOURCE_DIR}/src/sunlinsol/spbcgs/fsunlinsol_spbcgs.c
  ${sundials_SOURCE_DIR}/src/sunlinsol/spfgmr/fsunlinsol_spfgmr.c
  ${sundials_SOURCE_DIR}/src/sunlinsol/spgmr/fsunlinsol_spgmr.c
  ${sundials_SOURCE_DIR}/src/sunlinsol/sptfqmr/fsunlinsol_sptfqmr.c
  ${sundials_SOURCE_DIR}/src/sunlinsol/pcg/fsunlinsol_pcg.c
  )

IF(KLU_FOUND)
  LIST(APPEND sunlinsol_SOURCES
    ${sundials_SOURCE_DIR}/src/sunlinsol/klu/fsunlinsol_klu.c
    )
ENDIF()

IF(SUPERLUMT_FOUND)
  LIST(APPEND sunlinsol_SOURCES
    ${sundials_SOURCE_DIR}/src/sunlinsol/superlumt/fsunlinsol_superlumt.c
    )
ENDIF()

IF(LAPACK_FOUND)
  LIST(APPEND sunlinsol_SOURCES
    ${sundials_SOURCE_DIR}/src/sunlinsol/lapackband/fsunlinsol_lapackband.c
    ${sundials_SOURCE_DIR}/src/sunlinsol/lapackdense/fsunlinsol_lapackdense.c
    )
ENDIF()


# Add source directories to include directories for access to
# implementation only header files (both for fkinsol and kinsol)
INCLUDE_DIRECTORIES(.)
INCLUDE_DIRECTORIES(..)

# Define C preprocessor flag -DBUILD_SUNDIALS_LIBRARY 
ADD_DEFINITIONS(-DBUILD_SUNDIALS_LIBRARY)

# Only build STATIC libraries (we cannot build shared libraries 
# for the FCMIX interfaces due to unresolved symbol errors 
# coming from inexistent user-provided functions)

# Add the build target for the FKINSOL library
ADD_LIBRARY(sundials_fkinsol_static STATIC
  ${fkinsol_SOURCES} ${shared_SOURCES} ${sunmatrix_SOURCES} ${sunlinsol_SOURCES} )

# Set the library name and make sure it is not deleted
SET_TARGET_PROPERTIES(sundials_fkinsol_static
  PROPERTIES OUTPUT_NAME sundials_fkinsol CLEAN_DIRECT_OUTPUT 1)

# Install the FKINSOL library
INSTALL(TARGETS sundials_fkinsol_static DESTINATION ${CMAKE_INSTALL_LIBDIR})

#
MESSAGE(STATUS "Added KINSOL FCMIX module")

## r-cran-stanheaders 2.21.0-1

=== debian/changelog ===
r-cran-stanheaders (2.21.0-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 21:37:41 +0100

r-cran-stanheaders (2.19.0-1) unstable; urgency=medium

  * New upstream version
  * Check autopkgtest but libboost 1.69 is needed which is not available yet

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 13:01:49 +0200

r-cran-stanheaders (2.18.1-10-2) unstable; urgency=medium

  * Provide headers in /usr/include
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 09:02:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev
-Standards-Version: 4.3.0
+               r-base-dev,
+               r-cran-rcppeigen
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders

## r-cran-stanheaders 2.21.0-5+really2.21.0-1

=== debian/changelog ===
r-cran-stanheaders (2.21.0-5+really2.21.0-1-0ubuntu1) groovy; urgency=medium

  * Revert to upstream version 2.21.0-1
    Upstream changes between 2.21.0-1 and 2.21.0-3 apparently broke several
    reverse dependencies (Closes: #962794)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 19 Jun 2020 23:52:36 +0200

r-cran-stanheaders (2.21.0-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jun 2020 08:21:40 +0200

r-cran-stanheaders (2.21.0-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Jun 2020 07:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: r-cran-stanheaders
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-rcppparallel,
                r-cran-rcppeigen
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders
+Rules-Requires-Root: no
 
 Package: r-cran-stanheaders
 Architecture: any

## r-cran-stanheaders 2.21.0-7

=== debian/changelog ===
r-cran-stanheaders (2.21.0-7-2) unstable; urgency=medium

  * Team Upload.
  * Versioned B-D on r-cran-rcppparallel
  * Cherry-pick patch from stan math upstream to make it
    compatible with new oneTBB API

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 01:12:11 +0530

r-cran-stanheaders (2.21.0-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:57:52 +0100

r-cran-stanheaders (2.21.0-6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 07 Sep 2020 12:46:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-stanheaders
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -8,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcppparallel,
+               r-cran-rcppparallel (>= 5.1.5+dfsg-3~),
                r-cran-rcppeigen
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/StanHeaders_([-\d.]*)\.tar\.gz

## r-cran-stanheaders 2.32.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: StanHeaders
-Date: 2020-12-16
 Title: C++ Header Files for Stan
+Version: 2.32.5
 Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
              person("Joshua", "Pritikin", role = "ctb"),
              person("Andrew", "Gelman", role = "aut"),
@@ -24,23 +24,27 @@
              person("Dustin", "Tran", role = "aut"),
              person("Michael", "Malecki", role = "aut"),
              person("Yuanjun", "Gao", role = "aut"),
+             person("Hamada S.", "Badr", role = c("aut"),
+                    email = "badr@jhu.edu",
+                    comment = c(ORCID = "0000-0002-9808-2344")),
              person("Trustees of", "Columbia University", role = "cph"),
              person("Lawrence Livermore", "National Security", role = "cph", comment = "CVODES"),
              person("The Regents of the", "University of California", role = "cph", comment = "CVODES"),
              person("Southern Methodist", "University", role = "cph", comment = "CVODES"))
 URL: https://mc-stan.org/
 Description: The C++ header files of the Stan project are provided by this package, but it contains little R code or documentation. The main reference is the vignette. There is a shared object containing part of the 'CVODES' library, but its functionality is not accessible from R. 'StanHeaders' is primarily useful for developers who want to utilize the 'LinkingTo' directive of their package's DESCRIPTION file to build on the Stan library without incurring unnecessary dependencies. The Stan project develops a probabilistic programming language that implements full or approximate Bayesian statistical inference via Markov Chain Monte Carlo or 'variational' methods and implements (optionally penalized) maximum likelihood estimation via optimization. The Stan library includes an advanced automatic differentiation scheme, 'templated' statistical and linear algebra functions that can handle the automatically 'differentiable' scalar types (and doubles, 'ints', etc.), and a parser for the Stan language. The 'rstan' package provides user-facing R functions to parse, compile, test, estimate, and analyze Stan models.
-Imports: RcppParallel (>= 5.0.1)
-Suggests: Rcpp, BH, knitr (>= 1.15.1), rmarkdown, Matrix, methods,
-        rstan
-LinkingTo: RcppEigen, RcppParallel (>= 5.0.1)
+Imports: RcppParallel (>= 5.1.4)
+Suggests: Rcpp, BH (>= 1.75.0-0), knitr (>= 1.36), rmarkdown, Matrix,
+        methods, rstan, withr
+LinkingTo: RcppEigen (>= 0.3.3.9.3), RcppParallel (>= 5.1.4)
 VignetteBuilder: knitr
-SystemRequirements: pandoc
+SystemRequirements: GNU make, pandoc
 Depends: R (>= 3.4.0)
-Version: 2.21.0-7
 License: BSD_3_clause + file LICENSE
+Encoding: UTF-8
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2020-12-17 04:06:13 UTC; ben
+Packaged: 2024-01-09 19:24:53 UTC; ben
 Author: Ben Goodrich [cre, aut],
   Joshua Pritikin [ctb],
   Andrew Gelman [aut],
@@ -64,10 +68,11 @@
   Dustin Tran [aut],
   Michael Malecki [aut],
   Yuanjun Gao [aut],
+  Hamada S. Badr [aut] (<https://orcid.org/0000-0002-9808-2344>),
   Trustees of Columbia University [cph],
   Lawrence Livermore National Security [cph] (CVODES),
   The Regents of the University of California [cph] (CVODES),
   Southern Methodist University [cph] (CVODES)
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2020-12-17 07:30:02 UTC
+Date/Publication: 2024-01-10 11:43:07 UTC

=== debian/changelog ===
r-cran-stanheaders (2.32.5-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 14:35:20 +0100

r-cran-stanheaders (2.26.28-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1046277
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2023 11:54:00 +0100

r-cran-stanheaders (2.26.28-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * Add some upstream metadata

  [ Nilesh Patra ]
  * Re-instantiate previous patch properly
    (Closes: #1052750, #1052734, #1052726)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 Oct 2023 00:24:28 +0530

r-cran-stanheaders (2.26.28-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2023 12:16:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-stanheaders
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
+Homepage: https://cran.r-project.org/package=StanHeaders
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcppparallel (>= 5.1.5+dfsg-3~),
-               r-cran-rcppeigen
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
-Homepage: https://cran.r-project.org/package=StanHeaders
-Rules-Requires-Root: no
+               r-cran-rcppparallel (>= 5.1.4),
+               r-cran-rcppeigen (>= 0.3.3.9.3)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-stanheaders
 Architecture: any

## r-cran-stanheaders 2.32.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: StanHeaders
 Title: C++ Header Files for Stan
-Version: 2.32.5
+Version: 2.32.10
 Authors@R: c(person("Ben",family="Goodrich", email="benjamin.goodrich@columbia.edu", role=c('cre','aut')),
              person("Joshua", "Pritikin", role = "ctb"),
              person("Andrew", "Gelman", role = "aut"),
@@ -36,7 +36,7 @@
 Imports: RcppParallel (>= 5.1.4)
 Suggests: Rcpp, BH (>= 1.75.0-0), knitr (>= 1.36), rmarkdown, Matrix,
         methods, rstan, withr
-LinkingTo: RcppEigen (>= 0.3.3.9.3), RcppParallel (>= 5.1.4)
+LinkingTo: RcppEigen (>= 0.3.4.0.0), RcppParallel (>= 5.1.4)
 VignetteBuilder: knitr
 SystemRequirements: GNU make, pandoc
 Depends: R (>= 3.4.0)
@@ -44,7 +44,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2024-01-09 19:24:53 UTC; ben
+Packaged: 2024-07-15 06:14:33 UTC; ben
 Author: Ben Goodrich [cre, aut],
   Joshua Pritikin [ctb],
   Andrew Gelman [aut],
@@ -75,4 +75,4 @@
   Southern Methodist University [cph] (CVODES)
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2024-01-10 11:43:07 UTC
+Date/Publication: 2024-07-15 08:50:02 UTC

=== debian/changelog ===
r-cran-stanheaders (2.32.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 08:38:33 +0900

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stanheaders.git
 Homepage: https://cran.r-project.org/package=StanHeaders
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcppparallel (>= 5.1.4),
-               r-cran-rcppeigen (>= 0.3.3.9.3)
+               r-cran-rcppeigen (>= 0.3.4.0.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-stanheaders

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.hpp" -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rcpp,
        r-cran-bh (>= 1.75.0-0),
        r-cran-knitr (>= 1.36),
        r-cran-rmarkdown,
        r-cran-matrix,
        r-cran-rstan,
        r-cran-withr
Restrictions: allow-stderr
